# Command summary

## Command options

--allow_network

  Allow the XML and XSLT processing to access the network. Defaults off.

--brand_dir=s

  Directory to source brand files from.

--common_config=s

  Override path to Common_Config directory

--common_content=s

  Override path to Common_Content directory

--config=s

  Use a nonstandard config file

--help

  Display help message

--nocolours

  Disable ANSI colourisation of logging.

--quiet

  Disable all logging.

## Command actions

$`publican` add_revision

  Add an entry to the revision history

  --date=DATE

    Date to use for a revision.

  --email=EMAIL

    email to use for a revision.

  --firstname=FIRSTNAME

    firstname to use for a revision.

  --lang=LANG

    The language the XML will be written in

  --member=MEMBER

    An entry to be added to the revision. Can be specified multiple times.

  --revnumber=REVNUMBER

    Revision number to use for a revision.

  --surname=SURNAME

    surname to use for a revision.

$`publican` build

  Transform XML to other formats (pdf, html, html-single, drupal-book, etc)

  --distributed_set

    This flag tells publican the data being processed is a distributed set. Note: do not use distributed_set on the command line. Publican uses this flag when calling itself to process distributed sets. This is the only safe way this flag can be used.

  --embedtoc

    Embed the web site TOC object in the generated HTML

  --formats=FORMATS

    Comma-separated list of formats, for example: html,pdf,html-single,html-desktop,txt,epub

  --langs=LANGS

    Comma-separated list of languages, for example: en-US,de-DE,all

  --novalid

    Do not run the DTD validation

  --pdftool=PDFTOOL

    Override the tool to use when creating PDFs. Valid options are wkhtmltopdf and fop.

  --pub_dir=PUB_DIR

    Directory to publish files to. Defaults to publish.

  --publish

    Set up built content for publishing

  --showfuzzy

    Show fuzzy translation entries in output. Defaults off.

  --src_dir=SRC_DIR

    Directory to source publican files from.

$`publican` clean

  Remove all temporary files and directories

  --pub_dir=PUB_DIR

    Directory to publish files to. Defaults to publish.

$`publican` clean_ids

  Run clean ids for source XML

$`publican` clean_set

  Remove local copies of remote set books

$`publican` copy_web_brand

  Copy a brand's installed web content to another site

  --brand=BRAND

    The brand to use

  --old_site_config=OLD_SITE_CONFIG

    WebSite configuration file to use when copying content between sites.

  --site_config=SITE_CONFIG

    WebSite configuration file to use or create.

$`publican` create

  Create a new book, set, or article

  --brand=BRAND

    The brand to use

  --dtdver=DTDVER

    The version of the DocBook DTD to use

  --edition=EDITION

    The edition of the book, article, or set

  --lang=LANG

    The language the XML will be written in

  --name=NAME

    The name of the book, article, set, or brand

  --product=PRODUCT

    The name of the product

  --type=TYPE

    The type (book, article, or set)

  --version=VERSION

    The version of the product

$`publican` create_brand

  Create a new brand

  --lang=LANG

    The language the XML will be written in

  --name=NAME

    The name of the book, article, set, or brand

$`publican` create_site

  Create a new WebSite in the supplied location.

  --db_file=DB_FILE

    Override default database file.

  --lang=LANG

    The language the XML will be written in

  --site_config=SITE_CONFIG

    WebSite configuration file to use or create.

  --tmpl_path=TMPL_PATH

    Override the default template path.

  --toc_path=TOC_PATH

    Override the default TOC path.

$`publican` help_config

  Display help text for the configuration file

$`publican` install_book

  Install a book in to a WebSite.

  --lang=LANG

    The language the XML will be written in

  --site_config=SITE_CONFIG

    WebSite configuration file to use or create.

$`publican` install_brand

  Install a brand to the supplied location

  --path=PATH

    /path/to/install/to

  --pub_dir=PUB_DIR

    Directory to publish files to. Defaults to publish.

  --web

    Install the web content for a brand.

$`publican` lang_stats

  report PO statistics

  --lang=LANG

    The language the XML will be written in

$`publican` migrate_site

  Migrate a website DataBase from Publican < 3 to Publican 3.

  --site_config=SITE_CONFIG

    WebSite configuration file to use or create.

$`publican` package

  Package a language for shipping

  --binary

    Build binary rpm when running package

  --brew

    Push SRPM to brew

  --desktop

    Create desktop instead of web package

  --lang=LANG

    The language the XML will be written in

  --pub_dir=PUB_DIR

    Directory to publish files to. Defaults to publish.

  --scratch

    Use scratch instead of tag build

  --short_sighted

    Create package without using version in package name

  --wait

    Wait for brew to finish building

$`publican` print_banned

  Print a list of banned DocBook tags

$`publican` print_known

  Print a list of QA'd DocBook tags

$`publican` print_tree

  Print a tree of the xi:includes

$`publican` print_unused

  Print a list of unused XML files

$`publican` print_unused_images

  Print a list of unused Image files

$`publican` remove_book

  Remove a book from a WebSite.

  --lang=LANG

    The language the XML will be written in

  --site_config=SITE_CONFIG

    WebSite configuration file to use or create.

$`publican` rename

  Rename a publican book

  --name=NAME

    The name of the book, article, set, or brand

  --product=PRODUCT

    The name of the product

  --version=VERSION

    The version of the product

$`publican` report

  Print a readability report for the source text.

$`publican` site_stats

  Report on the contents of a WebSite

  --site_config=SITE_CONFIG

    WebSite configuration file to use or create.

$`publican` trans_drop

  Snapshot the source language for use in translation.

$`publican` update_db

  Add or remove database entries. Used for processing pre-build books, such as when building packages.

  --abstract=ABSTRACT

    Abstract for a book

  --add

    Add a database entry

  --book_src_lang=BOOK_SRC_LANG

    The language this translation is based on.

  --book_version=BOOK_VERSION

    The version number of the book being installed.

  --del

    Delete a database entry

  --formats=FORMATS

    Comma-separated list of formats, for example: html,pdf,html-single,html-desktop,txt,epub

  --lang=LANG

    The language the XML will be written in

  --name=NAME

    The name of the book, article, set, or brand

  --name_label=NAME_LABEL

    name label for a book

  --product=PRODUCT

    The name of the product

  --product_label=PRODUCT_LABEL

    product label for a book

  --site_config=SITE_CONFIG

    WebSite configuration file to use or create.

  --sort_order=SORT_ORDER

    Order to sort a book

  --subtitle=SUBTITLE

    Sub title for a book

  --version=VERSION

    The version of the product

  --version_label=VERSION_LABEL

    version label for a book

$`publican` update_po

  Update the PO files

  --email=EMAIL

    email to use for a revision.

  --firstname=FIRSTNAME

    firstname to use for a revision.

  --langs=LANGS

    Comma-separated list of languages, for example: en-US,de-DE,all

  --msgmerge

    Use gettext's msgmerge for POT/PO merging.

  --previous

    Keep previous msgid when fuzzy matches are detected in PO updates.

  --surname=SURNAME

    surname to use for a revision.

$`publican` update_pot

  Update the POT files

$`publican` update_site

  Update an existing sites templates.

  --site_config=SITE_CONFIG

    WebSite configuration file to use or create.

$`publican` zt_pull

  Pull translations from Zanata.

$`publican` zt_push

  Push translations to Zanata.